
Foreman - Feature #17527

As a developer, I want to have facets easily applicable to both hosts and host groups.

11/30/2016 05:23 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Host groups   

Target version:    

Difficulty:  Fixed in Releases: 1.21.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4093

  

Description

Currently facets only apply to hosts.

However, there is a lot in common between hosts and host groups - in attributes, in forms, etc.

The differences between hosts and host groups are also common to all facets - such as having hosts inherit attributes from host

groups, attributes are only required on hosts and not on host groups etc.

I would like to be able to write a facet once and have it added to both host and host groups, without having to repeat my code and

with the common changes depending on the object being handled automatically.

Related issues:

Related to Ansible - Bug #17150: Ansible Plugin uses the foreman user as ssh ... Closed 10/31/2016

Related to Foreman - Feature #12630: Facets - Add facet declaration Closed 11/30/2015

Associated revisions

Revision 3927dc2d - 12/13/2018 08:22 AM - Shimon Shtein

Fixes #17527 - Add support for hostgroup facets

History

#1 - 11/30/2016 08:04 AM - Shimon Shtein

- Blocks Bug #17150: Ansible Plugin uses the foreman user as ssh user to execute playbooks  added

#2 - 11/30/2016 09:14 AM - Tomer Brisker

- Blocks deleted (Bug #17150: Ansible Plugin uses the foreman user as ssh user to execute playbooks )

#3 - 11/30/2016 09:14 AM - Tomer Brisker

- Related to Bug #17150: Ansible Plugin uses the foreman user as ssh user to execute playbooks  added

#4 - 12/07/2016 01:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shimon Shtein

- Pull request https://github.com/theforeman/foreman/pull/4093 added

#5 - 11/15/2017 01:51 PM - Timo Goebel

- Related to Feature #12630: Facets - Add facet declaration added

#6 - 12/13/2018 08:23 AM - Tomer Brisker

- Fixed in Releases 1.21.0 added

#7 - 12/13/2018 09:02 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed
Applied in changeset 3927dc2d1a06df8c566c25b7c811bb083447214e.
